Update a group membership cache setting
Updates a group membership cache setting to modify the configuration for caching group membership data. This helps in optimizing directory service lookups and improving performance in environments where group membership information is frequently accessed.
HTTP method and endpoint
PATCH /name-services/cache/group-membership/settings/{svm.uuid}
Introduced in
ONTAP 9.11
Usage notes
Updates a group-membership cache setting.
Important notes
-
svm.uuid field cannot be empty.
-
Returns success in case no values are provided for update.
Related ONTAP commands
-
vserver services name-service cache group-membership settings modify
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
svm.uuid |
string |
path |
True |
SVM UUID. |
Request Body
| Name | Type | Description |
|---|---|---|
enabled |
boolean |
Specifies whether or not the cache is enabled. |
svm |
SVM, applies only to SVM-scoped objects. |
|
ttl |
string |
Specifies Time to Live for list of group members, in ISO 8601 format. |
Example request
{
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
},
"ttl": "PT2H30M"
}
Response
Status: 200, Ok
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
23724055 |
Internal error. Configuration for Vserver failed. Verify that the cluster is healthy, then try the command again. For further assistance, contact technical support. |
Also see the table of common errors in the Response body overview section of this documentation.
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
svm
SVM, applies only to SVM-scoped objects.
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. This field cannot be specified in a PATCH method. |
uuid |
string |
The unique identifier of the SVM. This field cannot be specified in a PATCH method. |
group_membership_settings
Group membership cache setting.
| Name | Type | Description |
|---|---|---|
enabled |
boolean |
Specifies whether or not the cache is enabled. |
svm |
SVM, applies only to SVM-scoped objects. |
|
ttl |
string |
Specifies Time to Live for list of group members, in ISO 8601 format. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |